org.apache.fop.pdf

## Class PDFIdentifiedDictionary

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFIdentifiedDictionary

- All Implemented Interfaces:
    PDFWritable
  Direct Known Subclasses:
    PDFLayer, PDFNavigator, PDFNavigatorAction

      public class PDFIdentifiedDictionary
      extends PDFDictionary

  Identified Dictionary.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFDictionary

      `entries, order`

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFIdentifiedDictionary(java.lang.String id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getId()`
    `boolean` | `hasId(java.lang.String id)`

    - ### Methods inherited from class org.apache.fop.pdf.PDFDictionary

      `containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFIdentifiedDictionary

          public PDFIdentifiedDictionary(java.lang.String id)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### hasId

          public boolean hasId(java.lang.String id)

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.